%global		repoid	62557

Name:			aobook
Version:		1.0.1
Release:		1%{?dist}
Summary:		Aozora Bunko text viewer

License:		BSD
URL:			http://azsky2.html.xdomain.jp/linux/aobook/index.html
Source0:		http://dl.osdn.jp/%{name}/%{repoid}/%{name}-%{version}.tar.bz2

BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libXext-devel
BuildRequires:	zlib-devel

BuildRequires:	desktop-file-utils

Requires:		font(:lang=ja) 

%description
Aozora Bunko text viewer.

%prep
%setup -q

%global	optflags_orig %optflags
%global	optflags	%optflags_orig -fno-strict-aliasing

%build
%configure
make %{?_smp_mflags}

%install
%make_install \
	INSTALL="install -p"

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license	COPYING
%doc	NEWS
%doc	README
%doc	manual.html

%{_bindir}/%{name}

%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*

%changelog
* Mon Dec  7 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.1-1
- Initial package
